<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('VIDEO_REPORT_LIST')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Videorep/index')}">
            {:lang('STATUS')}: 
            <select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" id="start_time" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" id="end_time" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('KEYWORD')}:  
			<input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>				
		<form method="post" class="js-ajax-form" >
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('REPORTER')}</th>
						<th>{:lang('REPORTED_PERSON')}</th>
						<th>{:lang('REPORTED_VIDEO_ID')}</th>
						<th>{:lang('REPORT_CONTENT')}</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('PROCESSING_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['touserinfo']['user_nickname']} ({$vo['touid']})</td>
						<td>{$vo['videoid']}</td>		
						<td>{$vo['content']}</td>				
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>						
						<td>
						 <if condition="$vo['status'] eq '0'" >
						    {:lang('PROCESSING')}
						 <else/>
                            {:date('Y-m-d H:i:s',$vo['uptime'])}
						 </if>						
						 </td>

						<td>
                            <a class="btn btn-xs btn-success view" data-id="{$vo['videoid']}">{:lang('WATCH_THE_VIDEO')}</a>
                            
							<if condition="$vo['status'] eq '0'" >
                            <a class="btn btn-xs btn-success js-ajax-dialog-btn" href="{:url('Videorep/setstatus',array('id'=>$vo['id']))}">{:lang('MARK_AS_PROCESSED')}</a>
							</if>
							
                            <if condition="$vo['isdel'] eq 1">
                                <a class="btn btn-xs btn-warning" data-id="{$vo['videoid']}">已下架</a> 
                            <else />
                                <a class="btn btn-xs btn-warning xiajia" data-id="{$vo['videoid']}">{:lang('OFF_SHELF_VIDEO')}</a>
                            </if>
                            
                            
                            <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Videorep/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    
    <script>
        $(function(){
            
            Wind.use('layer');
            $('.xiajia').click(function(){
                var _this=$(this);
                var id=_this.data('id');
                
                layer.prompt({
                    formType: 2,
                    title: '{:lang("PLEASE_ENTER_DELETE_REASON")}',
                    btn: ['{:lang("OK")}','{:lang("CANCEL")}'],
                    area: ['800px', '100px'] //自定义文本域宽高
                }, function(value, index, elem){
                    $.ajax({
                        url:'{:url('video/setDel')}',
                        type:'POST',
                        data:{id:id,isdel:1,reason:value},
                        dataType:'json',
                        success:function(data){
                            var code=data.code;
                            if(code==0){
                                layer.msg(data.msg);
                                return !1;
                            }
                            layer.msg(data.msg,{},function(){
                                layer.closeAll();
                                reloadPage(window);
                            });
                            
                        },
                        error:function(){
                            layer.msg('{:lang("OPERATION_FAILED_PLEASE_TRY_AGAIN")}')
                        }
                    });
                    
                });
                
            })
            
            $('.view').click(function(){
                var _this=$(this);
                var id=_this.data('id');

                layer.open({
                    type: 2,
                    title: '{:lang("CHECK")}',
                    shadeClose: true,
                    shade: 0.8,
                    area: ['500px', '600px'],
                    content: '/admin/video/see?id='+id
                }); 
                
            });
        })
    </script>
</body>
</html>